VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fester Dialog
   Caption         =   "vbzTipp: ScreenCapture"
   ClientHeight    =   4950
   ClientLeft      =   4035
   ClientTop       =   2400
   ClientWidth     =   6210
   Icon            =   "frmMain.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4950
   ScaleWidth      =   6210
   Begin VB.PictureBox Picture1 
      Height          =   2835
      Left            =   120
      ScaleHeight     =   2775
      ScaleWidth      =   3975
      TabIndex        =   10
      TabStop         =   0   'False
      Top             =   1620
      Width           =   4035
   End
   Begin VB.Frame Frame1 
      Caption         =   "Capture:"
      Height          =   1935
      Index           =   1
      Left            =   4380
      TabIndex        =   6
      Top             =   1560
      Width           =   1695
      Begin VB.CommandButton cmdCapture 
         Caption         =   "Bereich"
         Height          =   375
         Index           =   2
         Left            =   180
         TabIndex        =   9
         Top             =   1320
         Width           =   1335
      End
      Begin VB.CommandButton cmdCapture 
         Caption         =   "Fenster"
         Height          =   375
         Index           =   1
         Left            =   180
         TabIndex        =   8
         Top             =   840
         Width           =   1335
      End
      Begin VB.CommandButton cmdCapture 
         Caption         =   "Vollbild"
         Height          =   375
         Index           =   0
         Left            =   180
         TabIndex        =   7
         Top             =   360
         Width           =   1335
      End
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   4380
      Top             =   3540
   End
   Begin VB.Frame Frame1 
      Caption         =   "Setup:"
      Height          =   1335
      Index           =   0
      Left            =   3240
      TabIndex        =   2
      Top             =   120
      Width           =   2835
      Begin VB.OptionButton optCapture 
         Caption         =   "Zeitgesteuert nach 5 Sekunden"
         Height          =   315
         Index           =   2
         Left            =   120
         TabIndex        =   5
         Top             =   900
         Width           =   2595
      End
      Begin VB.OptionButton optCapture 
         Caption         =   "Mausgesteuert (rechte Taste)"
         Height          =   315
         Index           =   1
         Left            =   120
         TabIndex        =   4
         Top             =   600
         Width           =   2415
      End
      Begin VB.OptionButton optCapture 
         Caption         =   "Tastaturgesteuert (F12)"
         Height          =   315
         Index           =   0
         Left            =   120
         TabIndex        =   3
         Top             =   300
         Value           =   -1  'True
         Width           =   2415
      End
   End
   Begin VB.CommandButton cmdEnd 
      Cancel          =   -1  'True
      Caption         =   "&Beenden"
      Height          =   375
      Left            =   4560
      TabIndex        =   0
      Top             =   4440
      Width           =   1335
   End
   Begin VB.Label Label1 
      Caption         =   $"frmMain.frx":0CCA
      ForeColor       =   &H00FF0000&
      Height          =   1275
      Index           =   1
      Left            =   180
      TabIndex        =   11
      Top             =   240
      Width           =   2955
   End
   Begin VB.Label vbzentrum 
      Caption         =   "www.vb-zentrum.de"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   -1  'True
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   225
      Left            =   120
      TabIndex        =   1
      ToolTipText     =   "zur Homepage..."
      Top             =   4620
      Width           =   1770
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' vbzTipp   : Grafik / ScreenCapture
' Nummer    : 0001
' Stand     : 01.01.2005
' Quelle    : http://www.vb-zentrum.de

Option Explicit

Private Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Dim hotKey As Integer
Dim shotflag As Integer

Private Sub cmdCapture_Click(Index As Integer)
  If Index = 2 Then
    MsgBox "Der erster Mausklick setzt den Startpunkt," & vbCr & _
           "der zweite bestimmt das Ende des Bereichs.", vbInformation, "Bereichsauswahl: " & optCapture(hotKey).Caption
  End If
  shotflag = Index
  Me.Visible = False
  Timer1.Enabled = True
End Sub

Private Sub cmdEnd_Click()
  Unload Me
End Sub

Private Sub Form_Unload(Cancel As Integer)
  Set frmMain = Nothing
End Sub

Private Sub optCapture_Click(Index As Integer)
  hotKey = Index
End Sub

Private Sub Timer1_Timer()
  Static tcount As Integer
  
  If GetAsyncKeyState(vbKeyEscape) Then
    Timer1.Enabled = False
    Me.Visible = True
    tcount = 0
    Exit Sub
  End If
  
  Select Case hotKey
    Case 0  ' Tastatur
      If GetAsyncKeyState(vbKeyF12) Then
        Timer1.Enabled = False
      End If
    Case 1  ' Maus
      If GetAsyncKeyState(vbRightButton) Then
        Timer1.Enabled = False
      End If
    Case 2  ' Zeit
      tcount = tcount + 1
      If tcount >= 50 Then
        Timer1.Enabled = False
      End If
  End Select
  
  If Not Timer1.Enabled Then
    If shotflag = 2 Then                    ' Bereich ausgewhlt
      Screen.MousePointer = vbArrowQuestion
      frmCapture.Show vbModal
      Screen.MousePointer = vbNormal
    Else                                    ' Vollbild oder Fenster
      makeScreenshot (shotflag = 1)
    End If
    Me.Visible = True
    MsgBox "Das Bildschirmfoto wurde in die Zwischenablage kopiert!"
    showPicture Picture1, Clipboard.GetData
    tcount = 0
  End If
End Sub

Private Sub vbzentrum_Click()
  Me.MousePointer = vbHourglass
  ShellExecute Me.hwnd, "Open", "http://www.vb-zentrum.de", "", "", vbNormalFocus
  Me.MousePointer = vbDefault
End Sub
