VERSION 5.00
Begin VB.Form frmCapture 
   AutoRedraw      =   -1  'True
   BorderStyle     =   0  'Kein
   ClientHeight    =   3270
   ClientLeft      =   4620
   ClientTop       =   2550
   ClientWidth     =   3750
   DrawMode        =   6  'Stift und inverse Anzeige maskieren
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   9.75
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form2"
   ScaleHeight     =   218
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   250
   ShowInTaskbar   =   0   'False
   WindowState     =   2  'Maximiert
   Begin VB.PictureBox picTemp 
      Appearance      =   0  '2D
      AutoRedraw      =   -1  'True
      BackColor       =   &H00000000&
      BorderStyle     =   0  'Kein
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   1395
      Left            =   90
      ScaleHeight     =   93
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   108
      TabIndex        =   0
      Top             =   105
      Visible         =   0   'False
      Width           =   1620
   End
End
Attribute VB_Name = "frmCapture"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim blnCapturing As Boolean
Dim x1 As Single, y1 As Single

Private Sub Form_Load()
  ' Desktop fotografieren und zum Hintergrundbild dieser Form machen:
  Dim DeskhWnd As Long, DeskDC As Long
  Me.WindowState = vbMaximized
  DeskhWnd& = GetDesktopWindow()
  DeskDC& = GetDC(DeskhWnd&)
  BitBlt Me.hDC, 0&, 0&, Screen.Width, Screen.Height, DeskDC&, 0&, 0&, vbSrcCopy
  Me.Picture = Me.Image
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
  ' Abbruch bei 'Escape':
  If KeyCode = vbKeyEscape Then Unload Me
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
  If Not blnCapturing Then              ' capturing starten
    MousePointer = vbCrosshair
    ' Mausposition als Startkoordinaten setzen:
    x1 = x: y1 = y:
    ' capturing Bit einschalten:
    blnCapturing = True
  ElseIf blnCapturing = True Then ' capturing luft
    ' Benutzer hat rechts geklickt: Abbruch, aber capturing nicht verlassen
    If Button = vbRightButton Then
      ' laufendes capturing beenden
      blnCapturing = False
      MousePointer = vbNormal
      Cls
    ElseIf Button = vbLeftButton Then 'User clicked left mouse button so capture
      CaptureIt x1, x, y1, y  'Do the capture
      Unload Me 'Unload form
    End If
  End If
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
  Dim Left As Long, Top As Long, Right As Long, Bottom As Long
  Dim lWidth As Long, lHeight As Long
  
  ' Beim capturing Rechteck und Textausgabe aktualisieren:
  If blnCapturing Then
    ' Rechteck der Mausauswahl zeichnen:
    Me.Cls
    Line (x1, y1)-(x, y), , B
    
    ' Koordinaten berechnen
    Left = IIf(x1 > x, x, x1)
    Right = IIf(x1 < x, x, x1)
    Top = IIf(y1 > y, y, y1)
    Bottom = IIf(y1 < y, y, y1)
    lWidth = (Right - Left)
    lHeight = (Bottom - Top)

    Dim strOut As String
    strOut = lWidth & "x" & lHeight
    ' Text nur ausgeben, wenn er ins Rechteck passt:
    If lWidth > TextWidth(strOut) And lHeight > TextHeight(strOut) Then
      Dim tX As Single, tY As Single, cX As Single, cY As Single
      cX = Right - (lWidth / 2)         ' Mitte des Rechtecks: x Position
      cY = Bottom - (lHeight / 2)       ' Mitte des Rechtecks: y Position
      tX = cX - TextWidth(strOut) / 2   ' Text-Offset fr x Position
      tY = cY - TextHeight(strOut) / 2  ' Text-Offset fr y Position
      
      If Me.Point(cX, cY) < 62255 / 2 Then  ' bei dunklen Farben
        ForeColor = vbWhite ' weie Schriftfarbe
      Else  ' sonst
        ForeColor = vbBlack ' schwarze Schriftfarbe
      End If
      ' Text ausgeben:
      TextOut Me.hDC, tX, tY, strOut, Len(strOut)
    End If
  End If
End Sub

Private Sub CaptureIt(xStart As Single, xEnd As Single, yStart As Single, yEnd As Single)
  Dim Left As Long, Top As Long, Right As Long, Bottom As Long
  Dim lWidth As Long, lHeight As Long
  
  blnCapturing = False
  ' capture-Koordinaten ermitteln:
  Left = IIf(xStart > xEnd, xEnd, xStart)
  Right = IIf(xStart < xEnd, xEnd, xStart)
  Top = IIf(yStart > yEnd, yEnd, yStart)
  Bottom = IIf(yStart < yEnd, yEnd, yStart)
  lWidth = (Right - Left)
  lHeight = (Bottom - Top)
  If lWidth <= 0 Or lHeight <= 0 Then Exit Sub  'Nichts zu capturen!
  With picTemp
    .Cls    ' Picturebox lschen
    .Width = lWidth: .Height = lHeight
    Me.Cls  'Bildschirm von Rechteck und Text befreien:
    ' Rechteck in Picturebox kopieren:
    BitBlt .hDC, 0, 0, lWidth, lHeight, Me.hDC, Left, Top, vbSrcCopy
    Clipboard.Clear           ' Zwischenablage lschen
    Clipboard.SetData .Image  ' und Bild hineinkopieren
  End With
End Sub

Private Sub Form_Unload(Cancel As Integer)
  Set frmCapture = Nothing  ' Speicher freigeben
End Sub
